function onAfter(curr, next, opts, fwd) {

    // set the container's height to that of the current slide
    var ht = jQuery(this).outerHeight();
    jQuery(this).parent().animate({height: ht});

    // set the src attribute of images to actually load them
    var images = next.getElementsByTagName("img");
    var length = images.length;
    if (length > 0) {
        for (var i = 0; i < length; i++) {
            var self = images[i];
            if (self) {
                self.src = self.getAttribute('data-image');
            }
        }
    }

}

// @todo: The "more from" links should honor block settings. This means either outputting this JS via PHP, or changing how the "more from" links are inserted.

jQuery(document).ready(function($){
    if($('#facebook-updates').length) {
        $('#facebook-updates').after('<div id=\"facebook_pager\" class=\"social pager clearfix\">').cycle({
            fx: 'fade',
            timeout: 0,
            pager: '#facebook_pager',
            after: onAfter
        });
        $("#facebook_pager").append('<span class="more"><a href="http://www.facebook.com/argonne" title="View more Argonne updates on Facebook">More</a> &raquo;</span>');
    }

    if($('#flickr-updates').length) {
        $('#flickr-updates').after('<div id=\"flickr_pager\" class=\"social pager clearfix\">').cycle({
            fx: 'fade',
            timeout: 0,
            pager: '#flickr_pager',
            after: onAfter
        });
        $("#flickr_pager").append('<span class="more"><a href="http://www.flickr.com/photos/argonne/" title="View more Argonne photos on Flickr">More</a> &raquo;</span>');
    }

    if($('#twitter-updates').length) {
        $('#twitter-updates').after('<div id=\"twitter_pager\" class=\"social pager clearfix\">').cycle({
            fx: 'fade',
            timeout: 0,
            pager:'#twitter_pager',
            after: onAfter
        });
        $("#twitter_pager").append('<span class="more"><a href="http://www.twitter.com/argonne" title="View more Argonne Tweets on Twitter">More</a> &raquo;</span>');
    }

    if($('#youtube-updates').length) {
        $('#youtube-updates').after('<div id=\"youtube_pager\" class=\"social pager clearfix\">').cycle({
            fx: 'fade',
            timeout: 0,
            pager:'#youtube_pager',
            after: onAfter
        });
        $("#youtube_pager").append('<span class="more"><a href="http://www.youtube.com/user/ArgonneNationalLab" title="View more Argonne videos on YouTube">More</a> &raquo;</span>');
    }
});
;
